#! /usr/local/bin/ruby

require './esd.so'

buf = 0
File::open( "/home/kgt/th3_op.wav"){ |f|
	buf = f.read
}

=begin
esd = ESD::open( NIL)
sample = esd.cache( ESD::BITS16 | ESD::STEREO | ESD::SAMPLE | ESD::PLAY, 44100, buf)

p sample.play

sample.sync
=end

esd = ESD::open( NIL)
sample = esd.cache( ESD::BITS16 | ESD::STEREO | ESD::SAMPLE | ESD::LOOP, 44100, buf)

p sample.play

sample.sync

p "p"

sleep
